PartBase (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.methods.multipart.PartBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.methods.multipart
Class PartBase

    java.lang.Object
      org.apache.commons.httpclient.methods.multipart.Part
          org.apache.commons.httpclient.methods.multipart.PartBase

Direct Known Subclasses:
  FilePart, StringPart

    public abstract class PartBase

extends Part

Provides setters and getters for the basic Part properties.

Author:
  Michael Becke

Field Summary

Fields inherited from class org.apache.commons.httpclient.methods.multipart.Part
`BOUNDARY, BOUNDARY_BYTES, CHARSET, CHARSET_BYTES, CONTENT_DISPOSITION, CONTENT_DISPOSITION_BYTES, CONTENT_TRANSFER_ENCODING, CONTENT_TRANSFER_ENCODING_BYTES, CONTENT_TYPE, CONTENT_TYPE_BYTES, CRLF, CRLF_BYTES, EXTRA, EXTRA_BYTES, QUOTE, QUOTE_BYTES`

Constructor Summary
`PartBase(String name, String contentType, String charSet, String transferEncoding)` Constructor.

Method Summary
`String` | `getCharSet()` Return the character encoding of this part.
`String` | `getContentType()` Returns the content type of this part.
`String` | `getName()` Returns the name.
`String` | `getTransferEncoding()` Returns the transfer encoding of this part.
`void` | `setCharSet(String charSet)` Sets the character encoding.
`void` | `setContentType(String contentType)` Sets the content type.
`void` | `setName(String name)` Sets the part name.
`void` | `setTransferEncoding(String transferEncoding)` Sets the transfer encoding.

Methods inherited from class org.apache.commons.httpclient.methods.multipart.Part
`getBoundary, getLengthOfParts, getLengthOfParts, getPartBoundary, isRepeatable, length, lengthOfData, send, sendContentTypeHeader, sendData, sendDispositionHeader, sendEnd, sendEndOfHeader, sendParts, sendParts, sendStart, sendTransferEncodingHeader, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartBase

    public PartBase(String name,
                    String contentType,
                    String charSet,
                    String transferEncoding)

  Constructor.

  Parameters:
    `name` - The name of the part
    `contentType` - The content type, or `null`
    `charSet` - The character encoding, or `null`
    `transferEncoding` - The transfer encoding, or `null`

Method Detail

### getName

    public String getName()

  Returns the name.

  Specified by:
    `getName` in class `Part`
  Returns:
    The name.
  See Also:
    `Part.getName()`

### getContentType

    public String getContentType()

  Returns the content type of this part.

  Specified by:
    `getContentType` in class `Part`
  Returns:
    String The name.

### getCharSet

    public String getCharSet()

  Return the character encoding of this part.

  Specified by:
    `getCharSet` in class `Part`
  Returns:
    String The name.

### getTransferEncoding

    public String getTransferEncoding()

  Returns the transfer encoding of this part.

  Specified by:
    `getTransferEncoding` in class `Part`
  Returns:
    String The name.

### setCharSet

    public void setCharSet(String charSet)

  Sets the character encoding.

  Parameters:
    `charSet` - the character encoding, or `null` to exclude the character encoding header

### setContentType

    public void setContentType(String contentType)

  Sets the content type.

  Parameters:
    `contentType` - the content type, or `null` to exclude the content type header

### setName

    public void setName(String name)

  Sets the part name.

  Parameters:
    `name` -

### setTransferEncoding

    public void setTransferEncoding(String transferEncoding)

  Sets the transfer encoding.

  Parameters:
    `transferEncoding` - the transfer encoding, or `null` to exclude the transfer encoding header

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.